## mailmanclient 3.3.5

=== Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/munepy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/munepy.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

pypi: html
	(cd _build/html; \
	 rm -f index.html; \
	 ln -s README.html index.html; \
	 zip -r ../pypi .)

## mailmanclient 3.1.1

=== debian/changelog ===
mailmanclient (3.1.1-5) unstable; urgency=medium

  [ Jonas Meurer ]
  * d/control:
    - Update Vcs fields to point to new repository on salsa.debian.org
    - Degrade Recommends on mailman3 to Suggests, reflect package rename

  [ Pierre-Elliott Bécue ]
  * d/control:
    - Raise build dependency on debhelper to version11
  * d/compat: bump to 11
  * Drop the new-package-should-not-package-python2-module override

 -- Pierre-Elliott Bécue <becue@crans.org>  Fri, 16 Mar 2018 21:55:03 +0100

mailmanclient (3.1.1-4) unstable; urgency=medium

  * Add lintian-override for python-mailmanclient regarding python2 packaging.
    As the changelog now contains more than 1 entry, the lintian warning
    doesn't pop anymore, but this override will help people knowing why we
    packaged this python2 module anyway
  * d/control:
    - Change the Build-Depends: on sphinx as python3 version fails to compile
      the documentation.
    - Bump Standards-Version to 4.1.3
  * d/patches:
    - Add 0003_fix_doc_errors.patch to fix the documentation compilation.
  * Add d/source/local-options to have quilt patches unapplied after the
    build.

 -- Pierre-Elliott Bécue <becue@crans.org>  Fri, 05 Jan 2018 22:32:50 +0100

mailmanclient (3.1.1-3) unstable; urgency=medium

  [ Pierre-Elliott Bécue ]
  * d/README.source: add a statement regarding lintian warnings on the python2
    module provided by this package.

 -- Jonas Meurer <mejo@debian.org>  Mon, 11 Dec 2017 14:22:31 +0100

mailmanclient (3.1.1-2) unstable; urgency=medium

  * debian/control:
    * Add missing depends on ${python3:Depends} to python3-mailmanclient.
      Thanks to Bastian Blank for the hint.
    * Bump standards-version to 4.1.2, no changes needed.

 -- Jonas Meurer <mejo@debian.org>  Sun, 10 Dec 2017 17:42:37 +0100

mailmanclient (3.1.1-1) unstable; urgency=low

  [ Pierre-Elliott Bécue ]
  * Initial release (Closes: #799283)

  [ Jonas Meurer ]
  * New upstream release 3.1.1.
  * Rename binary packages to python(3)-mailmanclient, to reflect that it's
    actually a Python library.
  * Build python3 packages along the python2 ones.
  * change architecture from any to all (no arch-dependant binaries)
  * build own doc package python-mailmanclient-doc

 -- Jonas Meurer <mejo@debian.org>  Mon, 09 Oct 2017 01:16:52 +0200

=== debian/control ===
Source: mailmanclient
Maintainer: Debian Mailman Team <pkg-mailman-hackers@lists.alioth.debian.org>
Uploaders: Pierre-Elliott Bécue <becue@crans.org>,
           Jonas Meurer <jonas@freesources.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python,
               python-all,
               python-httplib2,
               python-six,
               python-setuptools,
               python-sphinx,
               python-sphinx-rtd-theme,
               python3-all,
               python3-httplib2,
               python3-six,
               python3-setuptools,
Standards-Version: 4.1.3
Homepage: https://gitlab.com/mailman/mailmanclient
Vcs-Browser: https://salsa.debian.org/mailman-team/mailmanclient
Vcs-Git: https://salsa.debian.org/mailman-team/mailmanclient.git
Testsuite: autopkgtest-pkg-python
X-Python-Version: >= 2.6

Package: python-mailmanclient
Architecture: all
Depends: python-httplib2,
         python-six,
         ${misc:Depends},
         ${python:Depends}
Suggests: mailman3, python-mailmanclient-doc
Description: Python bindings for Mailman3 REST API (Python 2 version)
 Mailmanclient provides the official REST API to interact with Mailman3 server.
 This library is required by the official web interfaces for archive browsing
 and administration of a server.
 .
 This package contains the Python 2 version of the library.

Package: python3-mailmanclient
Architecture: all
Depends: python3-httplib2,
         python3-six,
         ${misc:Depends},
         ${python3:Depends}
Suggests: mailman3, python-mailmanclient-doc
Description: Python bindings for Mailman3 REST API (Python 3 version)
 Mailmanclient provides the official REST API to interact with Mailman3 server.
 This library is required by the official web interfaces for archive browsing
 and administration of a server.
 .
 This package contains the Python 3 version of the library.

Package: python-mailmanclient-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Python bindings for Mailman3 REST API (Documentation)
 Mailmanclient provides the official REST API to interact with Mailman3 server.
 This library is required by the official web interfaces for archive browsing
 and administration of a server.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=mailmanclient

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

# Tests disabled as they require a running mailman3 server
override_dh_auto_test:

override_dh_auto_build:
	PYTHONPATH=. sphinx-build -b html -c ./ -E -N . build/sphinx/html
	dh_auto_build

override_dh_installchangelogs:
	dh_installchangelogs src/mailmanclient/docs/NEWS.rst

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/mailmanclient/mailmanclient-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## mailmanclient 3.2.0

=== debian/changelog ===
mailmanclient (3.2.0-3) unstable; urgency=medium

  * Merge python-mailmanclient-doc into python3-mailmanclient (Closes:
    #916620)

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 23 Dec 2018 00:11:10 +0100

mailmanclient (3.2.0-2) unstable; urgency=medium

  * Drop Python 2.7 support, mailmanclient 3.2 requires Python 3.5 or
    higher. See https://gitlab.com/mailman/mailmanclient/issues/40 for
    further information. (Closes: #909209)

 -- Jonas Meurer <jonas@freesources.org>  Thu, 20 Sep 2018 19:04:19 +0200

mailmanclient (3.2.0-1) unstable; urgency=medium

  [ Jonas Meurer ]
  * New upstream release 3.2.0
    * Drop obsolete patch d/patches/0001_sphinx_ignore_pc.patch
    * Drop obsolete patch d/patches/0003_fix_doc_errors.patch
  * d/upstream/signing-key.asc:
    - Change the key to 541EA0448453394FF77A0ECC9D9B2BA061D0A67C
      (Abhilash Raj <raj.abhilash1@gmail.com>) since latest upstream
      tarball got signed by this key.
  * d/source/local-options:
    - Remove obsolete file
  * d/control:
    - Bump standards-version to 4.2.1, no changes required

  [ Pierre-Elliott Bécue ]
  * d/control:
    - Remove ancient X-Python-Version field
    - Move sphinx deps to python3
  * d/p/0001:
    - Update authorship reference to match gbp expectations
  * d/p:
    - Add patch 0002 to compile documentation properly

 -- Jonas Meurer <jonas@freesources.org>  Mon, 17 Sep 2018 12:45:44 +0200

=== debian/control ===
Source: mailmanclient
Maintainer: Debian Mailman Team <pkg-mailman-hackers@lists.alioth.debian.org>
Uploaders: Pierre-Elliott Bécue <peb@debian.org>,
           Jonas Meurer <jonas@freesources.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               python3-all,
               python3-httplib2,
               python3-six,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
Standards-Version: 4.2.1
Homepage: https://gitlab.com/mailman/mailmanclient
Vcs-Browser: https://salsa.debian.org/mailman-team/mailmanclient
Vcs-Git: https://salsa.debian.org/mailman-team/mailmanclient.git
Testsuite: autopkgtest-pkg-python

Package: python3-mailmanclient
Architecture: all
Depends: python3-httplib2,
         python3-six,
         ${misc:Depends},
         ${python3:Depends}
Suggests: mailman3, python-mailmanclient-doc
Description: Python bindings for Mailman3 REST API (Python 3 version)
 Mailmanclient provides the official REST API to interact with Mailman3 server.
 This library is required by the official web interfaces for archive browsing
 and administration of a server.
 .
 This package contains the Python 3 version of the library.

## mailmanclient 3.2.2

=== debian/changelog ===
mailmanclient (3.2.2-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Jonas Meurer <jonas@freesources.org>  Sat, 09 Mar 2019 23:52:13 +0100

mailmanclient (3.2.2-1) unstable; urgency=medium

  * New upstream release 3.2.2

 -- Jonas Meurer <jonas@freesources.org>  Mon, 11 Feb 2019 01:01:41 +0100

mailmanclient (3.1.1-4~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Jonas Meurer <jonas@freesources.org>  Mon, 29 Jan 2018 11:55:07 +0100

## mailmanclient 3.3.0

=== debian/changelog ===
mailmanclient (3.3.0-1) unstable; urgency=medium

  * New upstream release 3.3.0
  * d/control:
    - Bump Standards-Version to 4.4.1
    - Use debhelper-compat version 12 instead of d/compat
    - Set Rules-Requires-Root to no

 -- Pierre-Elliott Bécue <peb@debian.org>  Wed, 01 Jan 2020 15:37:11 +0100

=== debian/control ===
--- 
+++ 
@@ -4,26 +4,25 @@
            Jonas Meurer <jonas@freesources.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
-               python3-httplib2,
-               python3-six,
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Homepage: https://gitlab.com/mailman/mailmanclient
 Vcs-Browser: https://salsa.debian.org/mailman-team/mailmanclient
 Vcs-Git: https://salsa.debian.org/mailman-team/mailmanclient.git
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-mailmanclient
 Architecture: all
-Depends: python3-httplib2,
-         python3-six,
+Depends: python3-requests,
          ${misc:Depends},
-         ${python3:Depends}
+         ${python3:Depends},
+         ${sphinxdoc:Depends}
 Suggests: mailman3, python-mailmanclient-doc
 Description: Python bindings for Mailman3 REST API (Python 3 version)
  Mailmanclient provides the official REST API to interact with Mailman3 server.

## mailmanclient 3.3.1

=== debian/changelog ===
mailmanclient (3.3.1-1) unstable; urgency=medium

  * New upstream release 3.3.1
  * d/control:
    - Bump Standards-Version to 4.5.1

 -- Jonas Meurer <jonas@freesources.org>  Mon, 28 Dec 2020 18:32:41 +0100

## mailmanclient 3.3.2

=== debian/changelog ===
mailmanclient (3.3.2-1) unstable; urgency=medium

  * New upstream release 3.3.2

 -- Pierre-Elliott Bécue <peb@debian.org>  Mon, 18 Jan 2021 01:02:59 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://gitlab.com/mailman/mailmanclient
 Vcs-Browser: https://salsa.debian.org/mailman-team/mailmanclient
 Vcs-Git: https://salsa.debian.org/mailman-team/mailmanclient.git

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 export PYBUILD_NAME=mailmanclient
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 # Tests disabled as they require a running mailman3 server
 override_dh_auto_test:

## mailmanclient 3.3.3

=== debian/changelog ===
mailmanclient (3.3.3-1) unstable; urgency=medium

  * New upstream release 3.3.3
  * d/control:
    - Bump Standards-Version to 4.6.0
    - Add Build-Depends on python3-sphinx-issues

 -- Jonas Meurer <jonas@freesources.org>  Wed, 08 Sep 2021 12:50:07 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,9 @@
                python3-all,
                python3-setuptools,
                python3-sphinx,
+               python3-sphinx-issues,
                python3-sphinx-rtd-theme,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://gitlab.com/mailman/mailmanclient
 Vcs-Browser: https://salsa.debian.org/mailman-team/mailmanclient
 Vcs-Git: https://salsa.debian.org/mailman-team/mailmanclient.git

## mailmanclient 3.3.5

=== debian/changelog ===
mailmanclient (3.3.5-1) unstable; urgency=medium

  * New upstream release: 3.3.5
  * Actually install docs in /usr/share/doc and move the source doc outside
    /usr/lib.
  * d/control:
    - Bump Standards-Version to 4.6.2

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 29 Jan 2023 12:23:28 +0000

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,13 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-python,
+               pydoctor,
                python3-all,
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-issues,
                python3-sphinx-rtd-theme,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://gitlab.com/mailman/mailmanclient
 Vcs-Browser: https://salsa.debian.org/mailman-team/mailmanclient
 Vcs-Git: https://salsa.debian.org/mailman-team/mailmanclient.git

=== debian/rules ===
--- 
+++ 
@@ -11,5 +11,12 @@
 	PYTHONPATH=. sphinx-build -b html -c ./ -E -N . build/sphinx/html
 	dh_auto_build
 
+override_dh_python3:
+	dh_python3
+	install -d -m 0755 debian/python3-mailmanclient/usr/share/doc/python3-mailmanclient
+	mv debian/python3-mailmanclient/usr/lib/python3/dist-packages/mailmanclient/docs \
+		debian/python3-mailmanclient/usr/share/doc/python3-mailmanclient/src
+	rm -f debian/python3-mailmanclient/usr/share/doc/python3-mailmanclient/src/NEWS.rst
+
 override_dh_installchangelogs:
 	dh_installchangelogs src/mailmanclient/docs/NEWS.rst
